Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui.wizards.datatransfer
Class FileSystemStructureProvider

    java.lang.Object
      org.eclipse.ui.wizards.datatransfer.FileSystemStructureProvider

All Implemented Interfaces:
  IImportStructureProvider

public class FileSystemStructureProvider
extends Object
implements IImportStructureProvider

This class provides information regarding the structure and content of specified file system File objects.

Field Summary
`static FileSystemStructureProvider` | `INSTANCE` Holds a singleton instance of this class.

Method Summary
`List` | `getChildren(Object element)` Returns a collection with the children of the specified structured element.
`InputStream` | `getContents(Object element)` Returns the contents of the specified structured element, or `null` if there is a problem determining the element's contents.
`String` | `getFullPath(Object element)` Returns the full path of the specified structured element.
`String` | `getLabel(Object element)` Returns the display label of the specified structured element.
`boolean` | `isFolder(Object element)` Returns a boolean indicating whether the passed structured element represents a container element (as opposed to a leaf element).

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static final FileSystemStructureProvider INSTANCE

  Holds a singleton instance of this class.

Method Detail

### getChildren

    public List getChildren(Object element)

  Description copied from interface: `IImportStructureProvider`
  Returns a collection with the children of the specified structured element.

  Specified by:
    `getChildren` in interface `IImportStructureProvider`

### getContents

    public InputStream getContents(Object element)

  Description copied from interface: `IImportStructureProvider`
  Returns the contents of the specified structured element, or `null` if there is a problem determining the element's contents.

  Specified by:
    `getContents` in interface `IImportStructureProvider`
  Parameters:
    `element` - a structured element
  Returns:
    the contents of the structured element, or `null`

### getFullPath

    public String getFullPath(Object element)

  Description copied from interface: `IImportStructureProvider`
  Returns the full path of the specified structured element.

  Specified by:
    `getFullPath` in interface `IImportStructureProvider`
  Parameters:
    `element` - a structured element
  Returns:
    the display label of the structured element

### getLabel

    public String getLabel(Object element)

  Description copied from interface: `IImportStructureProvider`
  Returns the display label of the specified structured element.

  Specified by:
    `getLabel` in interface `IImportStructureProvider`
  Parameters:
    `element` - a structured element
  Returns:
    the display label of the structured element

### isFolder

    public boolean isFolder(Object element)

  Description copied from interface: `IImportStructureProvider`
  Returns a boolean indicating whether the passed structured element represents a container element (as opposed to a leaf element).

  Specified by:
    `isFolder` in interface `IImportStructureProvider`
  Parameters:
    `element` - java.lang.Object
  Returns:
    boolean

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.